Issue 99704 - Turn off mouse scroll in cells
Turn off mouse scroll in cells
Status: CLOSED FIXED
Product: Base
Classification: Application
Component: code
OOO300m9
PC All
: P3 trivial with 2 votes (vote)
: OOo 3.2
Assigned To: ocke.janssen
issues@dba
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 09:24 UTC by snigelb
Modified: 2010-07-24 07:51 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description snigelb 2009-02-27 09:24:05 UTC
I need to turn off the ability to use mouse scroll increasing or decreasing a 
value in a form-cell (. It has dawned on my users that they constantly change 
values when they thought they were scrolling up and down the document.
Comment 1 marc.neumann 2009-03-02 07:02:37 UTC
I think this is a valid request for enhancement (RFE).

As a workaround you can set the "increment value" to 0 in the properties, but
then you can't change the value with the cursor buttons.
Comment 2 snigelb 2009-03-03 09:44:11 UTC
Thanks. That is good enough for me at this time.
Comment 3 villeroy 2009-03-09 15:14:40 UTC
The work-around refers to a form control. IMHO, the main issue is that all
numeric fields (including dates&times) in any plain grid-view of any writable
row set behaves as described.
When you scroll through such a grid you are always in danger to edit values
accidentally.
Comment 4 snigelb 2009-03-19 15:33:28 UTC
I am sorry, but I just can't find where to set the "Increment value".  Could I 
please get some directions to it?
I tried the Controll, Properties under the right-click menue (see image at 
http://user.services.openoffice.org/en/forum/viewtopic.php?f=39&t=15427#p75715)

I also tried elsewere at document properties etc.

Please help
Comment 5 mwtoews 2009-05-08 01:10:29 UTC
The present UI behaviour (up to at least 3.1.x) is that numeric values are
incremented by 1.0 when the mouse is over a numeric cell, and the mouse wheel is
scrolled up. Numbers are decremented by 1.0 when scrolled down. This behaviour
is consistent in tables, queries and forms.

In all versions of MS Access, the effect of a scroll wheel on a table or query
scrolls the grid view up and down to navigate records. There is no difference if
the mouse is over a numeric value or any other type. In older versions of Access
(2003 and before), the effect of the scroll wheel on a database form navigates
the records forwards and backwards. Values in fields can only change if typed
(or cut/paste). Devs: please keep in mind the MS Access UI behaviour for
migrating end-users.

I highly recommend that the default behaviour of a scroll-wheel should *NOT*
change the data *EVER*, since it too easily contaminates numeric data. Number
data should only be typed in (or cut/paste). I see no reason why this was a good
idea in the first place.

This misfeature is dangerous and is why (unfortunately) we still need to keep
buying MS Access for our office. Our data is valuable since it is our business.
I've been checking this feature since 1.x, but is still an issue in 3.1.x. I
would really love to migrate off MS Access to OO.o, but this is a deal breaker.

I can't figure out the "increment value" workaround mentioned before either.
Comment 6 Frank Schönheit 2009-05-08 08:05:34 UTC
an earlier target than "later" sounds appropriate here.
Comment 7 Frank Schönheit 2009-05-25 14:36:29 UTC
fixed in CWS dba32c

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fdba32c
Comment 8 Frank Schönheit 2009-05-25 14:40:00 UTC
The fix is two-stage:

First, a property "Mouse wheel scroll" is introduced for various form controls
(and also table control columns), with the possible values "Never", "When
focused", and "Always". The default for this property is "When focused", which
mimics the pre-fix behavior: A control will react on the mouse whee (and
scroll/spin its content) if and only if the mouse hovers over the control, and
the control has the focus. ("Never" means to ignore the wheel completely,
"Always" means to drop the focus restriction.)

Second, in the data view for tables/queries, this property is set to "Never",
since in fact it doesn't really make sense to let a control, which is part of a
scrollable context, consume and handle wheel events.
Comment 9 ocke.janssen 2009-05-28 11:09:54 UTC
Adjust target.
Comment 10 Frank Schönheit 2009-06-15 13:28:57 UTC
fs->oj: please verify in CWS dba32c
Comment 11 ocke.janssen 2009-06-16 13:53:50 UTC
Verified.
Comment 12 drewjensen.inbox 2009-07-24 03:18:29 UTC
Checked in DEV300m_53 Win

Dataview behavior, as described
From controls, as described
Grid column controls, almost - see
http://dba.openoffice.org/issues/show_bug.cgi?id=103756

Closing this issue
Comment 13 ralfbensmann 2010-07-24 07:51:29 UTC
I've got the same issue with numeric fields in a Writer dialog. I cannot find a mouse wheel property.